Bug 1935586 - prometheus liveness probes cause issues while replaying WAL
Summary: prometheus liveness probes cause issues while replaying WAL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.z
Assignee: Jan Fajerski
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1935585
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-05 08:37 UTC by Sergiusz Urbaniak
Modified: 2021-03-25 04:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: livenessProbe fails when prometheus is under heavy load, such as WAL replay. Consequence: Prometheus gets restarted, exasperating the load issue due to repeated WAL replay. Fix: Remove livenessProbe. Result: Heavy load no longer causes the livenessProbe to fail in turn avoiding restart loops.
Clone Of: 1935585
Environment:
Last Closed: 2021-03-25 04:45:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift prometheus-operator pull 110 0 None open Bug 1935586: pkg/prometheus: remove liveness probe 2021-03-05 08:43:00 UTC
Red Hat Product Errata RHBA-2021:0825 0 None None None 2021-03-25 04:45:18 UTC

Comment 1 Junqi Zhao 2021-03-09 08:38:10 UTC
tested with the PR, livenessProbe is removed from prometheus container

Comment 6 errata-xmlrpc 2021-03-25 04:45:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0825


Note You need to log in before you can comment on or make changes to this bug.